#!/usr/bin/python3

import asyncio
import websockets
import time

async def echo(websocket):
	print("opened")
	try:
		n = 0
		for _ in range(100):
			await websocket.send("x"*1000)
			n += 1
		print("msgs sent: ", n)
		await asyncio.sleep(0.5)
		for _ in range(100):
			await websocket.send("x"*1000)
			n += 1
		print("msgs sent: ", n)
		async for message in websocket:
			await websocket.send("x"*1000)
			n += 1
			print("msgs sent: ", n)
	except websockets.exceptions.ConnectionClosedError:
		print("closed")

async def main():
	async with websockets.serve(echo, "localhost", 8765):
		await asyncio.Future()

asyncio.run(main())

